PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"files": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"created_on": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z",
"status": "<string>",
"percent_done": 123,
"signed_url": "https://storage.googleapis.com/bucket/file.pdf?...",
"error_message": "<string>",
"multimodal": true
}
]
}Files
List Files
List all files in an assistant, with an option to filter files with metadata.
For guidance and examples, see Manage files.
GET
/
files
/
{assistant_name}
PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
{
"files": [
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metadata": {},
"created_on": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z",
"status": "<string>",
"percent_done": 123,
"signed_url": "https://storage.googleapis.com/bucket/file.pdf?...",
"error_message": "<string>",
"multimodal": true
}
]
}PINECONE_API_KEY="YOUR_API_KEY"
ASSISTANT_NAME="example-assistant"
curl -X GET "https://prod-1-data.ke.pinecone.io/assistant/files/$ASSISTANT_NAME" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2025-10"
Authorizations
Pinecone API Key
Headers
Required date-based version header
Path Parameters
The name of the assistant to list files for.
Query Parameters
Optional JSON-encoded metadata filter for files.
Response
This operation returns a list of all files that you have previously uploaded, and which are associated with the given assistant name.
The list of files that exist in the assistant
Show child attributes
Show child attributes
Was this page helpful?
⌘I